 /*
 * file      : logs.h
 * project   : xcfa
 * with      : Gtk-2
 *
 * copyright : (C) 2003,2004,2005,2006,2007,2008,2009 by Claude Bulin
 *
 * xcfa - GTK+ implementation of the GNU shell command
 * GNU General Public License
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * OLD ADRESS:
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * NEW ADRESS:
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 */


#ifndef __logs_h__
#define __logs_h__ 1


typedef struct {
	GtkWidget   *Adr_checkbutton_goto_files_import;
	
	GtkWidget   *Adr_label_computer;
	GtkWidget   *Adr_label_import_file;
} VAR_LOGS;

extern VAR_LOGS var_logs;


gboolean logs_get_checkbutton_goto_files_import (void);
void     logs_set_checkbutton_goto_files_import (void);
void     logs_checkbutton_goto_files_import_clicked (void);

void     logs_label_computer_add (gchar *text);
void     logs_label_import_file_add (gchar *text);

void     logs_add_datas_system (gchar *data);
void     logs_set_datas_system (void);

void     logs_trace_datas (gchar *data);

#endif
